org.bdgenomics.adam.cli

# ParquetSaveArgs

#### trait ParquetSaveArgs extends Args4jBase with ParquetArgs with ADAMSaveArgs

Linear Supertypes
ADAMSaveArgs, ParquetArgs, ADAMParquetArgs, Args4jBase, AnyRef, Any
Known Subclasses
Adam2FastqArgs, Fasta2ADAMArgs, Features2ADAMArgs, ParquetLoadSaveArgs, Reads2RefArgs, Vcf2ADAMArgs, VcfAnnotation2ADAMArgs
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ParquetSaveArgs
2. ADAMSaveArgs
3. ParquetArgs
4. ADAMParquetArgs
5. Args4jBase
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val outputPath: String

   Definition Classes
     ADAMSaveArgs

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ADAMParquetArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ADAMParquetArgs

10. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ADAMParquetArgs

11. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### var logLevel: String

    Definition Classes
      ParquetArgs

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ADAMParquetArgs

23. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ADAMSaveArgs

### Inherited from ParquetArgs

### Inherited from ADAMParquetArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped